Subject: bug#30320: 26.0.91; Crash when using lsp-ui-doc-mode

From: martin rudalics <[email-masked]>
Date: Sat, 03 Feb 2018 10:04:48 +0100

> I don't know exactly what the "frame" is in this context. According to
 > iTerm2, the entire window is 202 x 52. I'm not sure if I can attach
 > screenshots or videos, but I recorded my entire interaction and have a
 > screenshot right before the crash occurred.

Can you please try again with the following form evaluated after
loading lsp-ui:

(setq lsp-ui-doc-frame-parameters
   '((left . -1)
     (no-accept-focus . t)
     (no-focus-on-map . t)
     (min-width  . 0)
     (width  . 0)
     (min-height  . 0)
     (height  . 0)
     (internal-border-width . 1)
     (vertical-scroll-bars . nil)
     (horizontal-scroll-bars . nil)
     (left-fringe . 0)
     (right-fringe . 0)
     (menu-bar-lines . 0)
     (tool-bar-lines . 0)
     (line-spacing . 0)
     (unsplittable . t)
     (undecorated . t)
     (top . -1)
     (visibility . nil)
     (mouse-wheel-frame . nil)
     (no-other-frame . t)
     (cursor-type . nil)
     (inhibit-double-buffering . t)
     (drag-internal-border . t)))

If you still get the crash, please try once more by replacing the

     (min-width  . 0)
     (min-height  . 0)

lines with soemthing like

     (min-width  . 1)
     (min-height  . 1)

Thanks, martin